Bug 60974 - RFE: make NTLM work (was: NTLM authentication needs opie libraries)
RFE: make NTLM work (was: NTLM authentication needs opie libraries)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: fetchmail (Show other bugs)
7.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-10 22:44 EST by Matt Domsch
Modified: 2007-03-26 23:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 17:23:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2002-03-10 22:44:19 EST
Description of Problem:
For NTLM authentication to work against an Exchange server's IMAP4rev1 
implementation, both --enable-NTLM and --enable-opie must be specified to 
configure.  --enable-opie requires <opie.h> and libopie.a in the usual 
locations.

OPIE can be obtained from 
http://www.inner.net/pub/opie/

It appears to be licensed under the UC Berkeley license format, including an 
advertising clause:
4. All advertising materials mentioning features or use of this software
   must display the following acknowledgements:

So, I don't know the licensing implications here.  An opie-devel package 
containing just the header and library is sufficient for fetchmail to work.  
The other opie-created apps like login and su need not be installed.


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Larry Troan 2003-01-12 13:10:33 EST
FEATURE TRACKER #340. Status for 8.1 is "reviewing"
Comment 2 Matt Domsch 2004-08-26 17:23:31 EDT
I no longer care.  Closing.

Note You need to log in before you can comment on or make changes to this bug.